# class Psych::ClassLoader::Restricted

### Public Class Methods

new (classes, symbols)
Source

    # File ext/psych/lib/psych/class_loader.rb, line 77
    def initialize classes, symbols
      @classes = classes
      @symbols = symbols
      super()
    end

Calls superclass method `BasicObject::new`

### Public Instance Methods

symbolize (sym)
Source

    # File ext/psych/lib/psych/class_loader.rb, line 83
    def symbolize sym
      return super if @symbols.empty?

      if @symbols.include? sym
        super
      else
        raise DisallowedClass.new('load', 'Symbol')
      end
    end

Calls superclass method

### Private Instance Methods

find (klassname)
Source

    # File ext/psych/lib/psych/class_loader.rb, line 95
    def find klassname
      if @classes.include? klassname
        super
      else
        raise DisallowedClass.new('load', klassname)
      end
    end

Calls superclass method